Query Information of a Message Campaign
Query the detailed information of a message campaign.
Request URL
GET {base_url}/{api_path}/message_campaign/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The ID of the message campaign. Note: You can query message campaign ID using Search Specific Message Campaigns. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object <MSGCampaign_DetailInfo> | The detailed information of a message campaign. |
MSGCampaign_DetailInfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The ID of the message campaign. |
| name | String | The name of the message campaign. |
| channel_type | String | The type of message channel used by the campaign.
|
| omnichannel_id | Integer | The ID of the message channel used by the campaign. |
| sender | String | The number used to send messages. |
| recipient_type | String | The method used to add recipients to the campaign.
|
| recipient_id | Integer | The ID of the phonebook where the recipients' phone number are stored. |
| recipient_num_type | String | The type of phone number field from which to retrieve the recipient's number in the specified phonebook. |
| send_type | String | When the campaign message should be sent.
|
| send_time | Integer | The timestamp of the scheduled time when the campaign messages should be sent. |
| send_mode | String | The sending mode of the campaign.
|
| assign_to_type | String | The type of the destination to which new campaign sessions will be assigned.
|
| assign_to_id | Integer | The ID of the destination to which new campaign sessions will be assigned. |
| content_type | String | The type of the message content.
|
| content | String | Message content. |
| number_list | Array <Number_List> | The list of numbers added by manual input or file import. |
| msg_param | String | Message parameters, which contains the parameters to be filled into the WhatsApp message template, in JSON-formatted string. Note: This parameter is returned only when a WhatsApp message template is used in the campaign. |
Number_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The ID of the phone number. |
| number | String | Phone number. |
Example
Request example
GET /openapi/v1.0/message_campaign/get?access_token=3pLZ96FkWJxfYsOEIMokkGjWMMWT6g4g&id=5 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"id": 255,
"name": "WhatsAPP Message Campaign",
"channel_type": "whatsapp",
"omnichannel_id": 1,
"sender": 1,
"recipient_type": "input",
"send_type": "schedule",
"send_time": 1753898766,
"send_mode": "new_session",
"assign_to_type": "extension",
"assign_to_id": 2,
"content_type": "template",
"content": "{\"id\":1773,\"template_id\":\"1293546285747227\",\"name\":\"docstest\",\"parameter_format\":\"NAMED\",\"components\":[{\"type\":\"HEADER\",\"format\":\"IMAGE\"},{\"type\":\"BODY\",\"text\":\"Hello! 👋\\n\\nAs a valued {{customer_tier}} member, we’re excited to share a special {{offer_type}} with you! 🎁\\nEnjoy {{offer_details}}—available until {{expiry_date}}.\\n\\nIf you have any questions or want to redeem your offer, simply reply to this message or contact our team.\\n\\nThank you for choosing {{company_name}}! 💙\"},{\"type\":\"BUTTONS\",\"buttons\":[{\"type\":\"FLOW\",\"text\":\"Redeem Offer\",\"flow_id\":657693363952373,\"flow_action\":\"NAVIGATE\",\"navigate_screen\":\"SIGN_UP\"},{\"type\":\"URL\",\"text\":\"Visit website\",\"url\":\"https://test.com/\"},{\"type\":\"VOICE_CALL\",\"text\":\"Contact us\"}]}],\"language\":\"en\",\"category\":\"MARKETING\",\"sub_category\":\"CUSTOM\",\"omnichannel_id\":1}",
"number_list": [
{
"id": 8007,
"number": "+12025550101"
},
{
"id": 8006,
"number": "+12025550102"
},
{
"id": 8005,
"number": "+12025550103"
},
{
"id": 8004,
"number": "+12025550104"
},
{
"id": 8003,
"number": "+12025550105"
},
{
"id": 8002,
"number": "+12025550106"
},
{
"id": 8001,
"number": "+12025550107"
},
{
"id": 8000,
"number": "+12025550108"
},
{
"id": 7999,
"number": "+12025550109"
},
{
"id": 7998,
"number": "+12025550110"
}
],
"msg_param": "{\"id\":1773,\"template_id\":\"1293546285747227\",\"name\":\"docstest\",\"language\":{\"code\":\"en\"},\"components\":[{\"type\":\"HEADER\",\"parameters\":[{\"type\":\"IMAGE\",\"file_list\":[{\"id\":\"d8b23d56d9974cdb90d6c2d6927861b9\",\"name\":\"pexels-photo-5632382.jpeg\",\"uri\":\"20250725/d8b23d56d9974cdb90d6c2d6927861b9\",\"type\":\"image/jpeg\",\"size\":88555}]}]},{\"type\":\"BODY\",\"parameters\":[{\"type\":\"TEXT\",\"text\":\"\",\"parameter_name\":\"customer_tier\"},{\"type\":\"TEXT\",\"text\":\"\",\"parameter_name\":\"offer_type\"},{\"type\":\"TEXT\",\"text\":\"\",\"parameter_name\":\"offer_details\"},{\"type\":\"TEXT\",\"text\":\"\",\"parameter_name\":\"expiry_date\"},{\"type\":\"TEXT\",\"text\":\"SmartMal\",\"parameter_name\":\"company_name\"}]},{\"type\":\"BUTTONS\",\"parameters\":[{\"type\":\"FLOW\",\"text\":\"\"},{\"type\":\"URL\",\"text\":\"\"},{\"type\":\"VOICE_CALL\",\"text\":\"\"}]}],\"parameter_format\":\"NAMED\"}"
}
}